<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
switch ($do) {
//Загрузка личного аватара
case 'ava':
$msg.='<div class="fon">';
$diz -> head('Анкета');
$diz -> title('Загрузка аватарки');
if($ya['balls']>=$nastr['oimg']){
function format($name)
{
    $f1 = strrpos($name, ".");
    $f2 = substr($name, $f1 + 1, 999);
    $fname = strtolower($f2);
    return $fname;
}
$dopraz = array('gif','jpg','jpeg');
$ttf = implode(' ,',$dopraz);
if ($_FILES['foto']['size'] < 1) {
$foto = ''.ROOT.'my/ava/'.$ya['ava'];
if($ya['ava']<>'0.png'){$av='<img src="/system/resize.php?img='.$foto.'&width=52&height=64&i=0" alt="ава"/>';}else{
$av='<img src="'.ROOT.'styles/'.$ya['style'].'/images/noava.png" alt="нет авы"/>';
}
$msg .= 'Ваша текущая аватарка:</br>'.$av.'</br>';
$msg .= "Разрешённые типы: $ttf<br/>
Максимальный размер аватарки: 100 kb<br/>
Новая аватарка заменяет старую!<br/>
<form action='profile.php?do=ava' method='post' enctype='multipart/form-data'><div>
Выберите картинку:<br/><input type='file' name='foto'/><br/>
<input type='submit' value='Загрузить'/><br/></div></form>";
} else {
$fname = $_FILES['foto']['name'];
$fsize = $_FILES['foto']['size'];
$type = format(mb_strtolower($fname));
$patch = strtolower(pathinfo($fname,PATHINFO_EXTENSION));
if ((preg_match("/php/i", mb_strtolower($fname))) or (preg_match("/.pl/i", $fname)) or ($fname == ".htaccess"))
{
$msg .= "Попытка отправить файл запрещенного типа.<br/><a href='profile.php?do=ava'>Повторить</a><br/>";
}
elseif ($fsize >= 1024*10015) {
$msg .= 'Слишком большой вес фото!<br/><a href="profile.php?do=foto">Повторить</a>';
}
elseif (!in_array($type,$dopraz) || !in_array($patch,$dopraz)) {
$msg .= 'Разрешены аватарки со следующими расширениями: '.$ttf.'<br/><a href="profile.php?do=ava">Повторить</a>';
} else {
$typ = $db -> query("SELECT `ava` FROM `users` WHERE `id` = '".$ya['id']."'");
if ($typ -> num_rows > 0) {
$form = $typ -> fetch_row();
$photo = $root.'my/ava/'.$form[0].'';
if (file_exists($photo)) {
unlink($photo);
}
}
$kuda = $root.'my/ava/'.$ya['id'].'.'.$patch;
if ((move_uploaded_file($_FILES["foto"]["tmp_name"], $kuda)) == true) {
$msg.='Аватар изменён!';
$db -> query("UPDATE `users` SET `ava` = '$ya[id].$patch' WHERE `id` = '".$ya['id']."' LIMIT 1");
$photo = $root.'my/temp/'.$ya['id'].'.'.$form[0];
if (file_exists($photo)) unlink($photo);
}
}
}
}else{$msg.='Извините,но вы пока не можете установить аватар!';header('refresh: 3; url=index.php');}
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./profile.php">Изменение профиля</a></br>
'.$diz -> img('back.png').'<a href="./">Личный кабинет</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
//Загрузка личной фотографии
case 'foto':
$msg.='<div class="fon">';
$diz -> head('Анкета');
$diz -> title('Загрузка фото');
if($ya['balls']>=$nastr['oimg']){
function format($name)
{
    $f1 = strrpos($name, ".");
    $f2 = substr($name, $f1 + 1, 999);
    $fname = strtolower($f2);
    return $fname;
}
$dopraz = array('gif','jpg','jpeg');
$ttf = implode(' ,',$dopraz);
if ($_FILES['foto']['size'] < 1) {
if($ya['foto']==null){$msg.='У вас нет фотографии!</br>';}else{
$foto = ''.ROOT.'my/photos/'.$ya['id'].'.'.$ya['foto'];
$msg .= 'Ваша текущая фотография:</br><img src="/system/resize.php?img='.$foto.'&width=108&height=128&i=0" alt="Фотография"/></br>';}
$msg .= "Новая фотография заменяет старую!<br/>Разрешённые типы: $ttf<br/>
Максимальный вес: 200 кб.<br/>
<form action='profile.php?do=foto' method='post' enctype='multipart/form-data'><div>
Выберите фото:<br/><input type='file' name='foto'/><br/>
<input type='submit' value='Загрузить'/><br/></div></form>";
} else {
$fname = $_FILES['foto']['name'];
$fsize = $_FILES['foto']['size'];
$type = format(mb_strtolower($fname));
$patch = strtolower(pathinfo($fname,PATHINFO_EXTENSION));
if ((preg_match("/php/i", mb_strtolower($fname))) or (preg_match("/.pl/i", $fname)) or ($fname == ".htaccess"))
{
$msg .= "Попытка отправить файл запрещенного типа.<br/><a href='profile.php?do=foto'>Повторить</a><br/>";
}
elseif ($fsize >= 1024*20030) {
$msg .= 'Слишком большой размер фото!<br/><a href="profile.php?do=foto">Повторить</a>';
}
elseif (!in_array($type,$dopraz) || !in_array($patch,$dopraz)) {
$msg .= 'Разрешены фотографии со следующими расширениями: '.$ttf.'<br/><a href="profile.php?do=foto">Повторить</a>';
} else {
$typ = $db -> query("SELECT `foto` FROM `users` WHERE `id` = '".$ya['id']."'");
if ($typ -> num_rows > 0) {
$form = $typ -> fetch_row();
$photo = $root.'my/photos/'.$ya['id'].'/main.'.$form[0];
if (file_exists($photo)) {
unlink($photo);
}
}
$kuda = $root.'my/photos/'.$ya['id'].'.'.$patch;
if ((move_uploaded_file($_FILES["foto"]["tmp_name"], $kuda)) == true) {
$db -> query("UPDATE `users` SET `foto` = '$patch' WHERE `id` = '".$ya['id']."' LIMIT 1");
$msg.='Фото изменено!';
$photo = $root.'my/temp/'.$ya['id'].'.'.$form[0];
if (file_exists($photo)) unlink($photo);
}
}
}
}else{$msg.='Извините,но вы пока не можете установить личную фотографию!';header('refresh: 3; url=index.php');}
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./profile.php">Изменение профиля</a></br>
'.$diz -> img('back.png').'<a href="./">Личный кабинет</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
//Интересы
case 'inters':
$msg.='<div class="fon">';
if (!isset($_POST['submit'])) {
$diz -> head('Интересы');
$diz -> title('Интересы');
$msg .= '<form action="profile.php?do=inters" method="post"><div>
Деятельность:<br/><textarea rows="3" cols="20" name="do">'.$ya['do'].'</textarea><br/>
Интересы:<br/><textarea rows="3" cols="20" name="interes">'.$ya['interes'].'</textarea><br/>
О себе:<br/><textarea rows="3" cols="20" name="about">'.$ya['about'].'</textarea><br/>
<input type="submit" name="submit" value="Изменить"/>
</div></form>';
} else {
$deyat = shit($_POST['do']);
$interes = shit($_POST['interes']);
$about = shit($_POST['about']);
$db -> query("UPDATE `users` SET `do` = '".$deyat."', `interes` = '".$interes."', 
`about` = '".$about."' WHERE `id` = '".(int)$ya['id']."'");
header('refresh: 3; url=/my/profile.php?do=inters');
$diz -> head('Анкета');
$diz -> title('Изменяем анкету');
$msg.='Изменения приняты!';
}
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./profile.php">Изменение профиля</a></br>
'.$diz -> img('back.png').'<a href="./">Личный кабинет</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
//Контактная инфа
case 'contacts':
$msg.='<div class="fon">';
if (!isset($_POST['submit'])) {
$diz -> head('Контактная информация');
$diz -> title('Контактная информация');
$msg .= '<form action="profile.php?do=contacts" method="post"><div>
E-mail:<br/><input type="text" name="email" value="'.$ya['email'].'" maxlength="50"/><br/>
Skype:<br/><input type="text" name="skype" value="'.$ya['skype'].'" maxlength="50"/><br/>
Личный сайт:<br/><input type="text" name="site" value="'.$ya['site'].'" maxlength="50"/><br/>
Моб.Телефон:<br/><input type="text" name="number" value="'.$ya['number'].'" maxlength="11"/><br/>
ICQ:<br/><input type="text" name="icq" value="'.$ya['icq'].'" maxlength="9"/><br/>
<input type="submit" name="submit" value="Изменить"/>
</div></form>';
} else {
$email = shit($_POST['email']);
$skype = shit($_POST['skype']);
$site = shit($_POST['site']);
$number = (!empty($_POST['number'])) ? abs((int)$_POST['number']) : null;
$icq = (!empty($_POST['icq'])) ? abs((int)$_POST['icq']) : null;
$db -> query("UPDATE `users` SET `email` = '".$email."',`site` = '".$site."', `skype` = '".$skype."', `number` = '".$number."',
`icq` = '".$icq."' WHERE `id` = '".$ya['id']."'");
header('refresh: 3; url=/my/profile.php?do=contacts');
$diz -> head('Анкета');
$diz -> title('Изменяем анкету');
$msg.='Изменения приняты!';
}
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./profile.php">Изменение профиля</a></br>
'.$diz -> img('back.png').'<a href="./">Личный кабинет</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
//Подпись
case 'podpis':
$msg.='<div class="fon">';
if (!isset($_POST['submit'])) {
$diz -> head('Подпись на форуме');
$diz -> title('Подпись на форуме');
$msg .= '<form action="profile.php?do=podpis" method="post"><div>
Подпись:<br/><input type="text" name="podpis" value="'.$ya['podpis'].'" maxlength="120"/><br/>
<input type="submit" name="submit" value="Изменить"/>
</div></form>';
} else {
$podpis = shit($_POST['podpis']);
$db -> query("UPDATE `users` SET `podpis` = '".$podpis."' WHERE `id` = '".$ya['id']."'");
header('refresh: 3; url=/my/profile.php?do=podpis');
$diz -> head('Анкета');
$diz -> title('Изменяем анкету');
$msg.='Изменения приняты!';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="./profile.php">Изменение профиля</a></br>
'.$diz -> img('back.png').'<a href="./">Личный кабинет</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
//Личные данные
case 'lich':
$msg.='<div class="fon">';
if (!isset($_POST['submit'])) {
$diz -> head('Личная информация');
$diz -> title('Личная информация');
$d = 1;
$day = '<option desabled>День</option>';
while ($d <= 31) {
if ($d == $ya['day']) $day .= '<option selected value="'.$d.'">'.$d.'</option>';
else $day .= '<option value="'.$d.'">'.$d.'</option>';
++$d;
}
$m = 1;
$month = '<option desabled>Месяц</option>';
function mes($mon) {
$mon = strtr($mon,array('1' => 'Январь','2' => 'Февраль', '3' => 'Март', '4' => 'Апрель', '5' => 'Май', '6' => 'Июнь',
'7' => 'Июль', '8' => 'Август', '9' => 'Сентябрь', '10' => 'Октябрь', '11' => 'Ноябрь', '12' => 'Декабрь'));
return $mon;
}
while ($m <= 12) {
if ($m == $ya['month']) $month .= '<option selected value="'.$m.'">'.mes($m).'</option>';
else $month .= '<option value="'.$m.'">'.mes($m).'</option>';
++$m;
}
$y = 1960;
$year = '<option desabled>Год</option>';
while ($y <= (date('Y') - 1)) {
if ($y == $ya['year']) $year .= '<option selected value="'.$y.'">'.$y.'</option>';
else $year .= '<option value="'.$y.'">'.$y.'</option>';
++$y;
}
$p = array('m' => 'Мужской', 'w' => 'Женский');
$p1 = null;
foreach ($p as $k1 => $v1) {
if ($ya['sex'] == $k1) $p1 .= '<option selected value="'.$k1.'">'.$v1.'</option>';
else $p1 .= '<option value="'.$k1.'">'.$v1.'</option>';}

$msg .= '<form action="profile.php?do=lich" method="post"><div>
Ваше имя:<br/><input type="text" name="name" value="'.$ya['name'].'" maxlength="40"/><br/>
Ваша фамилия:<br/><input type="text" name="fami" value="'.$ya['fami'].'" maxlength="40"/><br/>
Город:<br/><input type="text" name="gorod" value="'.$ya['gorod'].'" maxlength="40"/><br/>
Ваш пол:<br/><select name="sex">'.$p1.'</select><br/>
День рождения:<br/><select name="day">'.$day.'</select>
<select name="month">'.$month.'</select>
<select name="year">'.$year.'</select><br/>
<input type="submit" name="submit" value="Изменить"/>
</div></form>';
} else {
$name = shit($_POST['name']);
$fami = shit($_POST['fami']);
$gorod = shit($_POST['gorod']);
$sex = shit($_POST['sex']);
$day = (!empty($_POST['day']) && $_POST['day'] > 0 && $_POST['day'] < 32) ? intval(abs((int)$_POST['day'])) : null;
$month = (!empty($_POST['month']) && $_POST['month'] > 0 && $_POST['month'] <= 12) ? intval(abs((int)$_POST['month'])) : null;
$year = (!empty($_POST['year'])) ? intval(abs((int)$_POST['year'])) : null;
$db -> query("UPDATE `users` SET `name` = '".$name."',`fami` = '".$fami."',`gorod` = '".$gorod."', `sex` = '".$sex."', `day` = '".$day."', `month` = '".$month."',
`year` = '".$year."' WHERE `id` = '".$ya['id']."'");
header('refresh: 3; url=./profile.php');
$diz -> head('Изменения приняты');
$diz -> title('Изменяем анкету');
$msg.='Изменения приняты!';
}
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./profile.php">Изменение профиля</a></br>
'.$diz -> img('back.png').'<a href="./">Личный кабинет</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
default:
$diz -> head('Ваш профиль');
$diz -> title('Ваш профиль');
$msg.='<div class="fon">';
$msg .= '<a href="profile.php?do=lich">Личная информация</a></br>
<a href="profile.php?do=contacts">Контактная информация</a></br>
<a href="profile.php?do=inters">Интересы</a></br>
<a href="profile.php?do=ava">Личный аватар</a></br>
<a href="profile.php?do=foto">Личное фото</a></br>
<a href="profile.php?do=podpis">Подпись на форуме</a>';
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Личный кабинет</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
} else {
$diz -> head('Ошибка');
$diz -> title('Авторизация');
$diz -> out('Ошибка авторизации!<br/><a href="/index.php?do=enter">Вход</a>
<br/><a href="/index.php">На главную</a>');
}
?>